local entity = GetUpdatedEntityID()
local Limbs = EntityGetAllChildren(entity)
local player_entity = EntityGetParent(entity)

local CharacterPlatformingComponent = EntityGetFirstComponent(player_entity, "CharacterPlatformingComponent" )
local mFramesSwimming = ComponentGetValue(CharacterPlatformingComponent, "mFramesSwimming")

local CharacterDataComponent = EntityGetFirstComponent(player_entity, "CharacterDataComponent")
local ControlsComponent = EntityGetFirstComponent(player_entity, "ControlsComponent" )

mButtonDownAction = ComponentGetValue(ControlsComponent, "mButtonDownDown")

local mState = 0
local pixel_gravity = 350

for i,Limb in ipairs(Limbs) do
	local IKLimbWalkerComponent = EntityGetFirstComponent(Limb, "IKLimbWalkerComponent")
	mState = mState + tonumber(ComponentGetValue(IKLimbWalkerComponent, "mState"))
end

if mButtonDownAction == "1" then
	ComponentSetValue(CharacterPlatformingComponent, "pixel_gravity", pixel_gravity)

elseif mState > 0 and mFramesSwimming == "0"  then
	vx,vy = GameGetVelocityCompVelocity(player_entity)
	ComponentSetValue(CharacterDataComponent, "is_on_ground", "1")
	ComponentSetValue(CharacterPlatformingComponent, "pixel_gravity", -vy*pixel_gravity)

else
	ComponentSetValue(CharacterDataComponent, "is_on_ground", "0")
	ComponentSetValue(CharacterPlatformingComponent, "pixel_gravity", pixel_gravity)
end
