
for i,perk in ipairs(perk_list) do
	if perk["id"] == "ATTACK_FOOT" then
		table.remove(perk_list, i)
	end
end

table.insert(perk_list,
{
	id = "ATTACK_FOOT",
	ui_name = "Lukki Mutation",
	ui_description = "Become a living nightmare with 4 legs that allow you to climb walls and hang from the ceiling like a psychopath.",
	ui_icon = "data/ui_gfx/perk_icons/attack_foot.png",
	perk_icon = "data/items_gfx/perks/attack_foot.png",
	func = function( entity_perk_item, entity_who_picked, item_name )
	
		local x,y = EntityGetTransform( entity_who_picked )
		
		local child_id = EntityLoad( "files/entities/animals/lukki/skratic_lukki.xml", x, y)
		EntityAddChild( entity_who_picked, child_id )
		
		local platformingcomponents = EntityGetComponent( entity_who_picked, "CharacterPlatformingComponent" )
		if( platformingcomponents ~= nil ) then
			for i,component in ipairs(platformingcomponents) do
				local run_speed = tonumber( ComponentGetMetaCustom( component, "run_velocity" ) ) * 1.25
				local vel_x = math.abs( tonumber( ComponentGetMetaCustom( component, "velocity_max_x" ) ) ) * 1.25
				
				local vel_x_min = 0 - vel_x
				local vel_x_max = vel_x
				
				ComponentSetMetaCustom( component, "run_velocity", run_speed )
				ComponentSetMetaCustom( component, "velocity_min_x", vel_x_min )
				ComponentSetMetaCustom( component, "velocity_max_x", vel_x_max )
			end
		end
	end,
})
